package com.tourism.webadmin.app.website.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Schema(description = "获取话题Dto")
@Data
public class TourTravelNotesTopicByNameDto {

    /**
     * 分页号码，从1开始计数。
     */
    @Schema(description = "分页号码。")
    @NotNull(message = "分页号码不能为空，请提供有效的 pageSize 参数")
    private Integer pageNum;

    /**
     * 每页大小。
     */
    @Schema(description = "每页大小。")
    @NotNull(message = "每页大小不能为空，请提供有效的 pageSize 参数")
    private Integer pageSize;

    /**
     * 名称。
     */
    @Schema(description = "名称。")
    private String name;
}
