package com.tourism.webadmin.app.website.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Schema(description = "根据话题获取游记列表Dto")
@Data
public class TourTravelNotesTopicListByNameDto {

    /**
     * 分页号码，从1开始计数。
     */
    @Schema(description = "分页号码。")
    @NotNull(message = "分页号码不能为空，请提供有效的 pageSize 参数")
    private Integer pageNum;

    /**
     * 每页大小。
     */
    @Schema(description = "每页大小。")
    @NotNull(message = "每页大小不能为空，请提供有效的 pageSize 参数")
    private Integer pageSize;

    /**
     * 名称。
     */
    @Schema(description = "名称。")
    @NotNull(message = "话题名称不能为空，请提供有效的 name 参数")
    private String topicName;

    /**
     * 排序。不传值或者传0的话，按最热排序；传1的话，则按照最新排序
     */
    @Schema(description = "排序。")
    private String orderBy;

    /**
     * 标题名称。模糊查询
     */
    @Schema(description = "标题名称。模糊查询")
    private String titleName;


}
