package com.tourism.webadmin.app.website.vo;

import com.tourism.webadmin.back.vo.TourUserVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * GlobalUserSearchVo 类。
 * <p>
 * 描述：聊天全局用户搜索
 *
 * @author huangwenwen
 * @date 2025/1/4
 */

@Data
public class GlobalUserSearchVo {

    /**
     * 我对该用户的关注状态 0未关注 1已关注 2已经互关 3我自己 4被关注
     */
    @Schema(description = "我对该用户的关注状态")
    private String fansStatus;

    /**
     * 用户信息。
     */
    @Schema(description = "用户信息")
    private TourUserVo tourUserVo;

    /**
     * 粉丝数量。
     */
    @Schema(description = "粉丝数量")
    private String fansCount;
}
