package com.tourism.webadmin.app.website.vo;

import com.tourism.webadmin.back.model.TourImGroup;
import com.tourism.webadmin.back.model.TourImMember;
import com.tourism.webadmin.back.model.TourImMessage;
import com.tourism.webadmin.back.vo.TourImGroupVo;
import com.tourism.webadmin.back.vo.TourImMemberVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 类功能描述：
 *      主页会话列表参数
 * @author 大春
 * @date 2025/01/03
 */
@Data
public class MainMemberVo {
    /**会话ID*/
    private String id;

    /**群聊ID*/
    private String groupId;

    /**是否是多人群聊  1单聊 2群聊*/
    private Integer noticeType;

    /**对方用户ID*/
    private String toUserId;

    /**会话名称*/
    private String groupName;

    /**自己在群里的备注*/
    private String groupNickname;

    /**群备注*/
    private String groupRemark;

    /**头像*/
    private String headImage;

    /**聊天背景*/
    private String backgroundImage;

    /**最后一条消息*/
    private LastTourMessageVo lastMessage;

    /**未读消息数量*/
    private Integer unreadMessageCount;

    /**是否置顶  0不置顶 1 置顶*/
    private Long isTop;

    /**创建时间*/
    private Date createTime;

    /**是否显示 0 否 1 是*/
    private String isShow;

    /**群聊优先展示先入群的10 个人的头像 */
    private List<String> dfGroupImage;

    /**是否免打扰*/
    private Integer isNotDisturb;
}
