package com.tourism.webadmin.app.website.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * TourTravelNotesTopicSearchVo视图对象。
 *
 * @author 陈
 * @date 2024/01/24
 */
@Schema(description = "TourTravelNotesTopicSearchVo视图对象")
@Data
public class TourTravelNotesTopicSearchVo {
    /**专题ID*/
    private String id;
    /**
     * 是否收藏。
     */
    @Schema(description = "是否收藏(0.未收藏;1.已收藏")
    private Integer isCollect;

    /**
     * 话题名称。
     */
    @Schema(description = "话题名称")
    private String name;

    /**
     * 话题浏览量。
     */
    @Schema(description = "话题浏览量")
    private Integer viewCount;

    /**
     * 话题讨论量。
     */
    @Schema(description = "话题讨论量")
    private Integer commentCount;

    /**
     * 话题帖子数量。
     */
    @Schema(description = "话题帖子数量")
    private Integer travelNotesCount;

    /**
     * 游记列表
     */
    @Schema(description = "游记列表")
    private List<TourTravelNotesTopicNotesSearchVo> tourTravelNotesTopicNotesSearchVoList;


}
