package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourBrowseRecords;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 用户浏览记录表数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourBrowseRecordsMapper extends BaseDaoMapper<TourBrowseRecords> {

    /**
     * 批量插入对象列表。
     *
     * @param tourBrowseRecordsList 新增对象列表。
     */
    void insertList(List<TourBrowseRecords> tourBrowseRecordsList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourBrowseRecordsFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourBrowseRecords> getTourBrowseRecordsList(
            @Param("tourBrowseRecordsFilter") TourBrowseRecords tourBrowseRecordsFilter, @Param("orderBy") String orderBy);
}
