package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.app.website.model.TourShortUser;
import com.tourism.webadmin.app.website.vo.TourShortUserVo;
import com.tourism.webadmin.back.model.TourFans;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 关注粉丝管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourFansMapper extends BaseDaoMapper<TourFans> {

    /**
     * 批量插入对象列表。
     *
     * @param tourFansList 新增对象列表。
     */
    void insertList(List<TourFans> tourFansList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourFansFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourFans> getTourFansList(
            @Param("tourFansFilter") TourFans tourFansFilter, @Param("orderBy") String orderBy);

    /**
     * 获取过滤后的对象列表。
     *
     * @param name 模糊查询的昵称。
     * @return 对象列表。
     */
    List<TourShortUser> getFouceEachFriendsByName(
            @Param("userId") Long userId,@Param("name") String name);
}
