package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourImComplaintType;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 投诉类型管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourImComplaintTypeMapper extends BaseDaoMapper<TourImComplaintType> {

    /**
     * 批量插入对象列表。
     *
     * @param tourImComplaintTypeList 新增对象列表。
     */
    void insertList(List<TourImComplaintType> tourImComplaintTypeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourImComplaintTypeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourImComplaintType> getTourImComplaintTypeList(
            @Param("tourImComplaintTypeFilter") TourImComplaintType tourImComplaintTypeFilter, @Param("orderBy") String orderBy);
}
