package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourImGroupType;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 聊天群聊类型管理数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourImGroupTypeMapper extends BaseDaoMapper<TourImGroupType> {

    /**
     * 批量插入对象列表。
     *
     * @param tourImGroupTypeList 新增对象列表。
     */
    void insertList(List<TourImGroupType> tourImGroupTypeList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourImGroupTypeFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourImGroupType> getTourImGroupTypeList(
            @Param("tourImGroupTypeFilter") TourImGroupType tourImGroupTypeFilter, @Param("orderBy") String orderBy);
}
