package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourImSensitiveWordDeny;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 聊天敏感词黑名单数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourImSensitiveWordDenyMapper extends BaseDaoMapper<TourImSensitiveWordDeny> {

    /**
     * 批量插入对象列表。
     *
     * @param tourImSensitiveWordDenyList 新增对象列表。
     */
    void insertList(List<TourImSensitiveWordDeny> tourImSensitiveWordDenyList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourImSensitiveWordDenyFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourImSensitiveWordDeny> getTourImSensitiveWordDenyList(
            @Param("tourImSensitiveWordDenyFilter") TourImSensitiveWordDeny tourImSensitiveWordDenyFilter, @Param("orderBy") String orderBy);
}
