package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourTravelNotesCommentMentionUser;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 游记评论中提到的用户数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourTravelNotesCommentMentionUserMapper extends BaseDaoMapper<TourTravelNotesCommentMentionUser> {

    /**
     * 批量插入对象列表。
     *
     * @param tourTravelNotesCommentMentionUserList 新增对象列表。
     */
    void insertList(List<TourTravelNotesCommentMentionUser> tourTravelNotesCommentMentionUserList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourTravelNotesCommentMentionUserFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourTravelNotesCommentMentionUser> getTourTravelNotesCommentMentionUserList(
            @Param("tourTravelNotesCommentMentionUserFilter") TourTravelNotesCommentMentionUser tourTravelNotesCommentMentionUserFilter, @Param("orderBy") String orderBy);
}
