package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourTravelNotesImg;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 游记中的图片数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourTravelNotesImgMapper extends BaseDaoMapper<TourTravelNotesImg> {

    /**
     * 批量插入对象列表。
     *
     * @param tourTravelNotesImgList 新增对象列表。
     */
    void insertList(List<TourTravelNotesImg> tourTravelNotesImgList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourTravelNotesImgFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourTravelNotesImg> getTourTravelNotesImgList(
            @Param("tourTravelNotesImgFilter") TourTravelNotesImg tourTravelNotesImgFilter, @Param("orderBy") String orderBy);
}
