package com.tourism.webadmin.back.dao;

import com.tourism.common.core.base.dao.BaseDaoMapper;
import com.tourism.webadmin.back.model.TourTravelNotesMentionUser;
import org.apache.ibatis.annotations.Param;

import java.util.*;

/**
 * 游记提及的用户数据操作访问接口。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
public interface TourTravelNotesMentionUserMapper extends BaseDaoMapper<TourTravelNotesMentionUser> {

    /**
     * 批量插入对象列表。
     *
     * @param tourTravelNotesMentionUserList 新增对象列表。
     */
    void insertList(List<TourTravelNotesMentionUser> tourTravelNotesMentionUserList);

    /**
     * 获取过滤后的对象列表。
     *
     * @param tourTravelNotesMentionUserFilter 主表过滤对象。
     * @param orderBy 排序字符串，order by从句的参数。
     * @return 对象列表。
     */
    List<TourTravelNotesMentionUser> getTourTravelNotesMentionUserList(
            @Param("tourTravelNotesMentionUserFilter") TourTravelNotesMentionUser tourTravelNotesMentionUserFilter, @Param("orderBy") String orderBy);
}
