package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import jakarta.validation.constraints.*;
import java.util.Date;

/**
 * 游记内容表Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "游记内容表Dto对象")
@Data
public class TourTourismProjectTravelNotesWriteContentDto {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 关联表id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "关联表id。可支持等于操作符的列表数据过滤。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，关联表id不能为空！", groups = {UpdateGroup.class})
    private Long associationId;

    /**
     * 内容。
     */
    @Schema(description = "内容。")
    private String content;

    /**
     * 游记发布时间。
     */
    @Schema(description = "游记发布时间。")
    private Date publishTime;
}
