package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 游记与话题关联Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "游记与话题关联Dto对象")
@Data
public class TourTravelNotesTopicRelationDto {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 游记id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "游记id。可支持等于操作符的列表数据过滤。")
    private Long travelNotesId;

    /**
     * 话题id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "话题id。可支持等于操作符的列表数据过滤。")
    private Long topicId;

    /**
     * 话题名称。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "话题名称。可支持等于操作符的列表数据过滤。")
    private String topicName;
}
