package com.tourism.webadmin.back.dto;

import com.tourism.common.core.validator.UpdateGroup;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import jakarta.validation.constraints.*;

/**
 * 用户与话题的关联表Dto对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "用户与话题的关联表Dto对象")
@Data
public class TourUserLikeTopicDto {

    /**
     * 主键id。
     */
    @Schema(description = "主键id。", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "数据验证失败，主键id不能为空！", groups = {UpdateGroup.class})
    private Long id;

    /**
     * 门户用户id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "门户用户id。可支持等于操作符的列表数据过滤。")
    private Long tourUserId;

    /**
     * 游记话题id。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "游记话题id。可支持等于操作符的列表数据过滤。")
    private Long tourTravelNotesTopicId;

    /**
     * 游记话题名称。
     * NOTE: 可支持等于操作符的列表数据过滤。
     */
    @Schema(description = "游记话题名称。可支持等于操作符的列表数据过滤。")
    private String tourTravelNotesTopicName;
}
