package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.annotation.*;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 用户浏览记录表实体对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_browse_records")
public class TourBrowseRecords extends BaseModel {

    /**
     * id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 浏览者id。
     */
    @TableField(value = "visitor_id")
    private Long visitorId;

    /**
     * 原创游记作者id。
     */
    @TableField(value = "writer_id")
    private Long writerId;

    /**
     * 游记、项目、签证id。
     */
    @TableField(value = "item_id")
    private Long itemId;

    /**
     * 浏览项目类型id  1游记 2项目 3签证。
     */
    @TableField(value = "item_type_id")
    private Integer itemTypeId;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "data_state")
    private Integer dataState;

    @RelationGlobalDict(
            masterIdField = "itemTypeId",
            dictCode = "ViewItemType")
    @TableField(exist = false)
    private Map<String, Object> itemTypeIdDictMap;
}
