package com.tourism.webadmin.back.model;

import com.baomidou.mybatisplus.annotation.*;
import com.tourism.common.core.base.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 游记列表搜索实体对象。
 *
 * @author 奇幻之旅
 * @date 2024-09-06
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "tour_tourism_project_search_records")
public class TourTourismProjectSearchRecords extends BaseModel {

    /**
     * 主键id。
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 搜索关键词。
     */
    @TableField(value = "search_keyword")
    private String searchKeyword;

    /**
     * 搜索结果数量。
     */
    @TableField(value = "search_result_count")
    private Integer searchResultCount;

    /**
     * 搜索类型。
     */
    @TableField(value = "search_type")
    private Integer searchType;

    /**
     * 搜索时间。
     */
    @TableField(value = "search_time")
    private Date searchTime;

    /**
     * 逻辑删除标记字段(1: 正常 -1: 已删除)。
     */
    @TableLogic
    @TableField(value = "data_state")
    private Integer dataState;

    /**
     * searchResultCount 范围过滤起始值(>=)。
     */
    @TableField(exist = false)
    private Integer searchResultCountStart;

    /**
     * searchResultCount 范围过滤结束值(<=)。
     */
    @TableField(exist = false)
    private Integer searchResultCountEnd;

    /**
     * searchTime 范围过滤起始值(>=)。
     */
    @TableField(exist = false)
    private String searchTimeStart;

    /**
     * searchTime 范围过滤结束值(<=)。
     */
    @TableField(exist = false)
    private String searchTimeEnd;
}
