package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Map;

/**
 * 用户浏览记录表VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "用户浏览记录表VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourBrowseRecordsVo extends BaseVo {

    /**
     * id。
     */
    @Schema(description = "id")
    private Long id;

    /**
     * 浏览者id。
     */
    @Schema(description = "浏览者id")
    private Long visitorId;

    /**
     * 原创游记作者id。
     */
    @Schema(description = "原创游记作者id")
    private Long writerId;

    /**
     * 游记、项目、签证id。
     */
    @Schema(description = "游记、项目、签证id")
    private Long itemId;

    /**
     * 浏览项目类型id  1游记 2项目 3签证。
     */
    @Schema(description = "浏览项目类型id  1游记 2项目 3签证")
    private Integer itemTypeId;

    /**
     * itemTypeId 全局字典关联数据。
     */
    @Schema(description = "itemTypeId 全局字典关联数据")
    private Map<String, Object> itemTypeIdDictMap;
}
