package com.tourism.webadmin.back.vo;

import com.tourism.common.core.base.vo.BaseVo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

/**
 * 关注粉丝管理VO视图对象。
 *
 * @author 吃饭睡觉
 * @date 2024-09-06
 */
@Schema(description = "关注粉丝管理VO视图对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class TourFansVo extends BaseVo {

    /**
     * 粉丝表id。
     */
    @Schema(description = "粉丝表id")
    private String id;

    /**
     * 被关注人id。
     */
    @Schema(description = "被关注人id")
    private String attentionId;

    /**
     * attentionId 字典关联数据。
     */
    @Schema(description = "attentionId 字典关联数据")
    private Map<String, Object> attentionIdDictMap;

    /**
     * createUserId 字典关联数据。
     */
    @Schema(description = "createUserId 字典关联数据")
    private Map<String, Object> createUserIdDictMap;
    /**
     * fansNum 粉丝数量
     */
    @Schema(description = "fansNum粉丝数量")
    private String fansNum;
    /**
     * 我对该用户的关注状态 0未关注 1已关注 2已经互关 3我自己 4被关注
     */
    @Schema(description = "fansStatus")
    private String fansStatus;
    /**
     * fansStatusName 状态名称
     */
    @Schema(description = "fansStatusName")
    private String fansStatusName;


}
