package com.tourism.webadmin.config;

import com.tourism.webadmin.ws.handle.SystemMessageHandler;
import com.tourism.webadmin.ws.intercept.SystemMessageInterceptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.config.annotation.EnableWebSocket;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;
@Configuration
@EnableWebSocket
public class WebSocketAutoConfig implements WebSocketConfigurer {
    @Autowired
    private SystemMessageHandler systemMessageHandler;
    @Autowired
    private ApplicationContext applicationContext;

    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
        registry.addHandler(systemMessageHandler, "/system/message")
                .addInterceptors(new SystemMessageInterceptor(applicationContext))
                .setAllowedOrigins("*");
    }
}
